Bug 133897 - [patch] devel/cvsnt add depends for libxm2
Summary: [patch] devel/cvsnt add depends for libxm2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-21 21:10 UTC by Olli Hauer
Modified: 2009-07-06 05:50 UTC (History)
1 user (show)

See Also:


Attachments
patch-cvsnt.txt (625 bytes, patch)
2009-04-21 21:10 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer 2009-04-21 21:10:01 UTC
cvsnt depends on libxml2

# ldd /usr/local/bin/cvslockd
/usr/local/bin/cvslockd:
        libcvsapi-2.5.04.3236.so => /usr/local/lib/libcvsapi-2.5.04.3236.so (0x28089000)
        libcvstools-2.5.04.3236.so => /usr/local/lib/libcvstools-2.5.04.3236.so (0x28111000)
->        libxml2.so.5 => /usr/local/lib/libxml2.so.5 (0x28133000)
        libz.so.4 => /lib/libz.so.4 (0x28258000)
        libpcreposix.so.0 => /usr/local/lib/libpcreposix.so.0 (0x2826a000)
        libpcre.so.0 => /usr/local/lib/libpcre.so.0 (0x2826d000)
        libmdnsclient-2.5.04.3236.so => /usr/local/lib/libmdnsclient-2.5.04.3236.so (0x2829c000)
        libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x282a3000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x28398000)
        libm.so.5 => /lib/libm.so.5 (0x2848d000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x284a2000)
        libthr.so.3 => /lib/libthr.so.3 (0x284ad000)
        libc.so.7 => /lib/libc.so.7 (0x284c0000)

How-To-Repeat: 
build cvsnt as package move it to a fresh machine it will not start cvslockd
Comment 1 Edwin Groothuis freebsd_committer 2009-04-21 21:10:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olli Hauer 2009-06-27 12:46:36 UTC
Please commit this patch, it change nothing in the build.
The patch tracks only a missing depends for libxm2 to the port.

Regards,
olli
Comment 3 dfilter service freebsd_committer 2009-07-06 05:44:42 UTC
fjoe        2009-07-06 04:44:33 UTC

  FreeBSD ports repository

  Modified files:
    devel/cvsnt          Makefile 
  Log:
  Add missing dependency on libxml2.
  
  PR:             133897
  
  Revision  Changes    Path
  1.32      +1 -0      ports/devel/cvsnt/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Khon freebsd_committer 2009-07-06 05:44:47 UTC
State Changed
From-To: open->closed

Fix committed.